body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #262626;
    font-family: roboto;
    font-size: 40px;
    /* border: 5px solid #5500FF; */
    font-weight: 300;
    letter-spacing: 0;
    padding: 40px 80px;
    position: relative;
    overflow: hidden;
}

a:before {
    content: 'Text';
    color: #FFF;
    background: #5500FF;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    transform: translateY(-100%);
    transition: all .5s;
    display: flex;
    align-items: center;
    justify-content: center;
}

a:hover::before{
    transform:  translateY(0);
}